package com.fs.sop.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.sop.domain.QwSopTag;

import java.util.List;

/**
 * sop打标签Service接口
 *
 * @author fs
 * @date 2025-02-20
 */
public interface IQwSopTagService extends IService<QwSopTag>{
    /**
     * 查询sop打标签
     *
     * @param id sop打标签主键
     * @return sop打标签
     */
    QwSopTag selectQwSopTagById(Long id);

    /**
     * 查询sop打标签列表
     *
     * @param qwSopTag sop打标签
     * @return sop打标签集合
     */
    List<QwSopTag> selectQwSopTagList(QwSopTag qwSopTag);

    /**
     * 新增sop打标签
     *
     * @param qwSopTag sop打标签
     * @return 结果
     */
    int insertQwSopTag(QwSopTag qwSopTag);

    /**
     * 修改sop打标签
     *
     * @param qwSopTag sop打标签
     * @return 结果
     */
    int updateQwSopTag(QwSopTag qwSopTag);

    /**
     * 批量删除sop打标签
     *
     * @param ids 需要删除的sop打标签主键集合
     * @return 结果
     */
    int deleteQwSopTagByIds(Long[] ids);

    /**
     * 删除sop打标签信息
     *
     * @param id sop打标签主键
     * @return 结果
     */
    int deleteQwSopTagById(Long id);

    void addTag();

}
